/*
 * @Date: 2022-04-01 15:20:26
 * @LastEditors: Li Dong
 * @LastEditTime: 2022-11-11 18:51:13
 * @FilePath: \crf\dragForm\src\components\FormDesign\config\formItemConfig.js
 */

//基础组件
// export const basicsList = [
//   {
//     mode: 'customInput', //输入框
//     label: '输入框', //标题文字
//     title: '输入框',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-input-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       type: 'text',
//       readonly: false,
//       disabled: false,
//       error: false,
//       errorMessage: '错误提示',
//       placeholder: '请输入',
//       clearable: false,
//       autosize: false,
//       labelWidth: '6.2rem',
//       labelAlign: 'left',
//       inputAlign: 'right',
//       valueRange: false,
//       minNum: '',
//       maxNum: '',
//       maxLength: '',
//       color: '#606266',
//       lowColor: '#2b2771',
//       tallColor: '#FF0000',
//       extraInput: false, //额外输入
//       linkage: false,
//       show: true,
//       linkageType: '',
//       linkageConfig: {
//         key: '',
//         label: '',
//         options: []
//       },
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ]
//     }
//   },
//   {
//     mode: 'customSelect', //下拉框
//     label: '下拉框', //标题文字
//     title: '下拉框',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-select-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       disabled: false,
//       labelWidth: '6.2rem',
//       labelAlign: 'left',
//       inputAlign: 'right',
//       linkage: false,
//       show: true,
//       linkageType: '',
//       linkageConfig: {
//         key: '',
//         label: '',
//         options: []
//       },
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ],
//       option: [
//         { label: '选项1', value: '1', freed: false },
//         { label: '选项2', value: '2', freed: false }
//       ]
//     }
//   },
//   {
//     mode: 'customRadio', //单选框
//     label: '单选框', //标题文字
//     title: '单选框',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-radio-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       disabled: false,
//       direction: 'horizontal',
//       radioCellWidth: '50%',
//       checkboxColor: '#417de1',
//       labelWidth: 'auto',
//       labelAlign: 'left',
//       inputAlign: 'right',
//       linkage: false,
//       show: true,
//       linkageType: '',
//       linkageConfig: {
//         key: '',
//         label: '',
//         options: []
//       },
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ],
//       option: [
//         { label: '选项1', value: '1', freed: false },
//         { label: '选项2', value: '2', freed: false }
//       ]
//     }
//   },
//   {
//     mode: 'customCheckbox', //多选框
//     label: '多选框', //标题文字
//     title: '多选框',
//     value: [], //组件值
//     key: '', //数据字段
//     icon: 'crf-checkbox-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       disabled: false,
//       direction: 'horizontal',
//       radioCellWidth: '50%',
//       checkboxColor: '#417de1',
//       labelWidth: 'auto',
//       labelAlign: 'left',
//       inputAlign: 'right',
//       maxNum: 0,
//       linkage: false,
//       show: true,
//       linkageType: '',
//       linkageConfig: {
//         key: '',
//         label: '',
//         options: []
//       },
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ],
//       option: [
//         { label: '选项1', value: '1', freed: false },
//         { label: '选项2', value: '2', freed: false }
//       ]
//     }
//   },
//   {
//     mode: 'customDate', //时间选择器
//     label: '时间选择器', //标题文字
//     title: '时间选择器',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-date-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       title: '',
//       type: 'date',
//       placeholder: '请选择',
//       readonly: false,
//       // disabled: false,
//       // direction: 'horizontal',
//       labelAlign: 'left',
//       inputAlign: 'right',
//       labelWidth: 'auto',
//       minDate: '',
//       maxDate: '',
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ]
//     }
//   },
//   {
//     mode: 'customAddress', //地址栏
//     label: '地址栏', //标题文字
//     title: '地址栏',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-address-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       title: '',
//       placeholder: '请选择',
//       readonly: false,
//       labelAlign: 'left',
//       inputAlign: 'right',
//       // disabled: false,
//       // direction: 'horizontal',
//       labelWidth: 'auto',
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ]
//     }
//   },
//   {
//     mode: 'customPaging', //分页
//     label: '分页', //标题文字
//     title: '分页',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-paging-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       title: '',
//       color: '#646566',
//       backColor: '#eff0f2',
//       labelWidth: 'auto'
//     }
//   },
//   {
//     mode: 'customTitle', //标题
//     label: '标题', //标题文字
//     title: '标题',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'crf-title-icon',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       title: '',
//       linkColor: '#646566',
//       color: '#646566',
//       position: 'left',
//       // disabled: false,
//       // direction: 'horizontal',
//       labelWidth: 'auto'
//     }
//   },
//   {
//     mode: 'customTips', //提示文字
//     label: '提示文字', //标题文字
//     title: '提示文字',
//     value: '', //组件值
//     key: '', //数据字段
//     icon: 'write',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       title: '',
//       readonly: false,
//       placeholder: '请输入',
//       color: '#646566',
//       backColor: '#fff',
//       // disabled: false,
//       // direction: 'horizontal',
//       labelWidth: 'auto',
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ]
//     }
//   },
//   {
//     mode: 'customUpload', //图片上传
//     label: '图片上传', //标题文字
//     title: '上传组件',
//     value: [], //组件值
//     key: '', //数据字段
//     icon: 'write',
//     unit: '',
//     classification: 2,
//     dataownership: 0,
//     isBaseline: 1,
//     settings: {
//       title: '',
//       readonly: false,
//       limit: 6,
//       labelAlign: 'left',
//       inputAlign: 'right',
//       labelWidth: 'auto',
//       rules: [
//         {
//           required: false,
//           message: '必填项'
//         }
//       ]
//     }
//   }
// ]

export const basicsList = [
  {
    mode: 'FYInput',
    label: '输入框',
    value: '',
    key: '',
    icon: 'crf-input',
    unit: '',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      placeholder: '请输入',
      type: 'text',
      readonly: false,
      linkage: false,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      },

      rules: [
        {
          required: false,
          message: '必填项'
        }
      ]
    }
  },
  {
    mode: 'FYSelect',
    label: '下拉框',
    value: '',
    key: '',
    icon: 'crf-select',
    unit: '',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      placeholder: '请输入',
      type: 'text',
      readonly: false,
      linkage: false,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      },
      rules: [
        {
          required: false,
          message: '必填项'
        }
      ],
      option: [
        { label: '选项1', value: '1', freed: false },
        { label: '选项2', value: '2', freed: false }
      ]
    }
  },
  {
    mode: 'FYMultiple',
    label: '多选下拉框',
    title: '多选下拉框',
    value: [],
    key: '',
    icon: 'crf-multiple',
    unit: '',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      placeholder: '请输入',
      readonly: false,
      linkage: false,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      },
      rules: [
        {
          required: false,
          message: '必填项'
        }
      ],
      option: [
        { label: '选项1', value: '1', freed: false },
        { label: '选项2', value: '2', freed: false }
      ]
    }
  },
  {
    mode: 'FYRadio',
    label: '单选框',
    title: '单选框',
    value: '',
    key: '',
    icon: 'crf-radio',
    unit: '',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      linkage: false,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      },
      rules: [
        {
          required: false,
          message: '必填项'
        }
      ],
      option: [
        { label: '选项1', value: '1', freed: false },
        { label: '选项2', value: '2', freed: false }
      ]
    }
  },
  {
    mode: 'FYCheckbox',
    label: '多选框',
    title: '多选框',
    value: [],
    key: '',
    icon: 'crf-checkbox',
    unit: '',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      readonly: false,
      linkage: false,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      },
      rules: [
        {
          required: false,
          message: '必填项'
        }
      ],
      option: [
        { label: '选项1', value: '1', freed: false },
        { label: '选项2', value: '2', freed: false }
      ]
    }
  },
  {
    mode: 'FYDatePicker',
    label: '日期选择器',
    title: '日期选择器',
    value: '',
    key: '',
    icon: 'crf-datepicker',
    unit: '',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      placeholder: '请选择日期',
      format: 'YYYY-MM-DD',
      readonly: false,
      linkage: false,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      },
      rules: [
        {
          required: false,
          message: '必填项'
        }
      ]
    }
  }
]

export const layoutList = [
  {
    mode: 'dynamic',
    label: '动态组件',
    value: 1,
    key: '',
    icon: 'write',
    classification: 2,
    dataownership: 0,
    isBaseline: 1,
    settings: {
      list: [[]],
      num: 0,
      linkage: false,
      show: true,
      linkageType: '',
      linkageConfig: {
        key: '',
        label: '',
        options: []
      }
    }
  }
]
