/*
 * @Description:
 * @Date: 2022-11-11 15:00:26
 * @LastEditors: Li Dong
 * @LastEditTime: 2022-11-11 15:27:53
 * @FilePath: \fengye_plus\admin\src\components\FormDesign\config\formItemPopulace.js
 */

//功能组件
export const functionCom = [
  {
    mode: 'populaceCom',
    label: '人口学信息',
    icon: 'crf-populace',
    list: [
      {
        mode: 'customInputPc',
        label: '本人姓名',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'text',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customSelectPc', //下拉框
        label: '性别',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },
          rules: [
            {
              required: false,
              message: '必填项'
            }
          ],
          option: [
            { label: '男', value: '男', freed: false },
            { label: '女', value: '女', freed: false }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '民族',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'text',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '国籍',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'text',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customDatePc',
        label: '出生日期',
        value: '',
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请选择日期',
          format: 'YYYY-MM-DD',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },
          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '身份证号',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'text',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '本人手机号',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'number',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '本人手机号',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'number',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customSelectPc', //下拉框
        label: '血型',
        value: '', //组件值
        key: '', //数据字段
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },
          rules: [
            {
              required: false,
              message: '必填项'
            }
          ],
          option: [
            { label: 'A', value: 'A', freed: false },
            { label: 'B', value: 'B', freed: false },
            { label: 'O', value: 'O', freed: false },
            { label: 'AB', value: 'AB', freed: false }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '身高',
        value: '',
        key: '',
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'number',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      },
      {
        mode: 'customInputPc',
        label: '体重',
        value: '',
        key: '',
        classification: 2,
        dataownership: 0,
        settings: {
          placeholder: '请输入',
          type: 'number',
          readonly: false,
          linkage: false,
          linkageType: '',
          linkageConfig: {
            key: '',
            label: '',
            options: []
          },

          rules: [
            {
              required: false,
              message: '必填项'
            }
          ]
        }
      }
    ]
  },
  {
    mode: 'baseline',
    label: '随访基线',
    icon: 'crf-baseline'
  }
]
