/*
 * @Descripttion: 联动组件判断
 * @Author: Yuan Xiao Shan
 * @Date: 2022-07-26 16:16:49
 * @LastEditors: Li Dong
 * @LastEditTime: 2022-08-02 17:48:10
 */
import { isArray } from '@/utils/is'

export const hasShow = ({ key, options }, formList = []) => {
  let status = true
  let fatherComponent = formList.find(item => item.key === key)

  if (fatherComponent) {
    const fatherStutas = hasShow(fatherComponent.settings.linkageConfig, formList)
    if (!fatherStutas) {
      return fatherStutas
    }

    if (isArray(fatherComponent.value)) {
      let child = options.join('') ? options.join('') : false

      return fatherComponent.value.join('').includes(child)
    } else if (options.includes(fatherComponent.value)) {
      return true
    }
    return false
  }
  return status
}
